## matrix-mirage 0.6.4~dfsg+~hsluv1.0.0

=== requirements.txt ===
Pillow          >= 7.0.0,  < 8
aiofiles        >= 0.4.0,  < 0.5
appdirs         >= 1.4.4,  < 2
blist           >= 1.3.6,  < 2
cairosvg        >= 2.4.2,  < 3
filetype        >= 1.0.7,  < 2
html_sanitizer  >= 1.9.1,  < 2
lxml            >= 4.5.1,  < 5
matrix-nio[e2e] >= 0.15.0, < 0.16
mistune         >= 0.8.4,  < 0.9
pymediainfo     >= 4.2.1,  < 5

async_generator >= 1.10,  < 2;   python_version < "3.7"
dataclasses     >= 0.6,   < 0.7; python_version < "3.7"
pyfastcopy      >= 1.0.3, < 2;   python_version < "3.8"
