=== debian/changelog ===
matrix-mirage (0.6.4~dfsg+~hsluv1.0.0-4) unstable; urgency=medium

  * update patch 2003 to cover QML disk cache patch;
    closes: bug#978655, thanks to Reiner Herrmann

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Dec 2020 21:17:04 +0100

matrix-mirage (0.6.4~dfsg+~hsluv1.0.0-3) unstable; urgency=medium

  * fix config path in README.Debian;
    closes: bug#978647, thanks to Reiner Herrmann
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Dec 2020 19:06:30 +0100

matrix-mirage (0.6.4~dfsg+~hsluv1.0.0-2) unstable; urgency=medium

  * modernize source sript copyright-check
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Oct 2020 12:49:29 +0200

matrix-mirage (0.6.4~dfsg+~hsluv1.0.0-1) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * repackage upstream source
    with unused embedded code dropped,
    and remaining one (HSLuv-C) fixated at version 1.0.0
  * fix rename config path
  * fix recommend fonts-hack fonts-roboto-unhinted
  * fix build-depend explicitly on libx11-dev
  * add README.Debian documenting renamed binary
  * install README and CHANGELOG, rendered as plaintext and html:
    + generate documentation unless nodoc requested
    + add patch 2004 to strip tracking URLs from README
    + build-depend on pandoc
  * install screenshot images,
    and add patch 2005 to shorten paths to screenshots in README

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Sep 2020 12:58:00 +0200

matrix-mirage (0.6.4~dfsg+~cs2.7.4.5.20191106-1) unstable; urgency=medium

  * initial release;
    closes: bug#970814

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Sep 2020 20:39:58 +0200
