=== requirements.txt ===
Pillow            >= 7.0.0,  < 9
aiofiles          >= 0.4.0,  < 0.7
appdirs           >= 1.4.4,  < 2
cairosvg          >= 2.4.2,  < 3
filetype          >= 1.0.7,  < 2
html_sanitizer    >= 1.9.1,  < 2
lxml              >= 4.5.1,  < 5
mistune           >= 0.8.4,  < 0.9
pymediainfo       >= 4.2.1,  < 5
plyer             >= 1.4.3,  < 2
sortedcontainers  >= 2.2.2,  < 3
watchgod          >= 0.7,    < 0.8
redbaron          >= 0.9.2,  < 1
hsluv             >= 5.0.0,  < 6
simpleaudio       >= 1.0.4,  < 2
dbus-python       >= 1.2.16, < 2; platform_system == "Linux"

async_generator   >= 1.10,  < 2;   python_version < "3.7"
dataclasses       >= 0.6,   < 0.7; python_version < "3.7"
pyfastcopy        >= 1.0.3, < 2;   python_version < "3.8"

git+https://github.com/mirukana/matrix-nio#egg-matrix-nio[e2e]
