=== debian/changelog ===
matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-8) unstable; urgency=medium

  * depend on python3-mistune0 (not python3-mistune);
    closes: bug#1003565, thanks to Pierre-Elliott Bécue
  * update git-buildpackage config: add usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Feb 2022 14:40:06 +0100

matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-7) unstable; urgency=medium

  * fix build-depend on python3-typeshed
  * add patch 1001 to update ignored types
  * update generating documentation;
    build-depend on cmark-gfm (not pandoc)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Feb 2022 19:42:22 +0100

matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-6) unstable; urgency=medium

  * tighten testsuite checking:
    aiofiles issue now fixed
    (see bug#994932)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Feb 2022 01:56:59 +0100

matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-5) unstable; urgency=medium

  * add patch proposed upstream
    to limit acceptedPointerTypes to mouse
    (superseding patch 2007 to revert mouse scroll)
  * add patch proposed upstream
    to fix Python 3.10 collections import
  * add patch proposed upstream
    to disable seen indicator link
  * unfuzz patch 2001
  * tighten lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Jan 2022 20:20:54 +0100

matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-4) unstable; urgency=medium

  * update watch file:
    + fix repacksuffix and corresponding version mangling
    + simplify filename mangling

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Nov 2021 12:33:25 +0100

matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-3) unstable; urgency=medium

  * add patch 2007 to revert mouse scroll breaking touch support;
    closes: bug#995632, thanks to Karl Kashofer

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Oct 2021 16:28:52 +0200

matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-2) unstable; urgency=medium

  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * fix build-depend on python3-aiofiles,
    and tolerate testsuite errors:
    aiofiles does not support type hints;
    see <https://github.com/Tinche/aiofiles/issues/49>

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Sep 2021 13:47:56 +0200

matrix-mirage (0.7.2~dfsg+~hsluv1.0.0+~1.0.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update watch file to fix use group versioning scheme
  * copyright: update coverage
  * build-depend on python3-dbus python3-hsluv python3-plyer
    python3-redbaron python3-sortedcontainers python3-watchgod
    flake8 mypy
  * use debhelper compatibility level 13 (not 12)
  * declare compliance with Debian Policy 4.6.0
  * update and unfuzz patches
  * update documentation source paths
  * stop build-depend on python3-blist
  * add patch 2006 to avoid QML module simpleaudio missing in Debian
  * tighten dependency on python3-matrix-nio

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Aug 2021 20:20:09 +0200
