=== debian/control ===
--- 
+++ 
@@ -4,17 +4,21 @@
 Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper-compat (= 12),
+ cmark-gfm <!nodoc>,
+ debhelper-compat (= 13),
+ flake8 <!nocheck>,
  libmediainfo-dev,
  libolm-dev,
  libx11-dev,
  libxss-dev,
- pandoc <!nodoc>,
+ mypy <!nocheck>,
+ python3-aiofiles <!nocheck>,
  python3-dev,
+ python3-typeshed <!nocheck>,
  qt5-qmake,
  qtdeclarative5-dev,
  qtquickcontrols2-5-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/mirukana/mirage
 Vcs-Git: https://salsa.debian.org/matrix-team/matrix-mirage.git
 Vcs-Browser: https://salsa.debian.org/matrix-team/matrix-mirage
@@ -26,14 +30,19 @@
  python3-pil,
  python3-aiofiles,
  python3-appdirs,
- python3-blist,
  python3-cairosvg,
+ python3-dbus,
  python3-magic,
+ python3-hsluv,
  python3-html-sanitizer,
  python3-lxml,
- python3-matrix-nio,
- python3-mistune,
+ python3-matrix-nio (>= 0.18.5),
+ python3-mistune0,
+ python3-plyer,
  python3-pymediainfo,
+ python3-redbaron,
+ python3-sortedcontainers,
+ python3-watchgod,
  python3 (>= 3.7) | python3-async-generator,
  python3 (>= 3.7) | python3-dataclasses,
  python3 (>= 3.8) | python3-pyfastcopy,
