=== debian/watch ===
version=4
# check: uscan --report
# update: uscan && gbp import-orig ../matrix-mirage_*.orig.tar.gz

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
repacksuffix=~dfsg,\
compression=gzip,\
dversionmangle=auto \
https://github.com/mirukana/mirage/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
component=Xhsluv,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@+hsluv-c-$1/,\
dversionmangle=s/hsluv// \
https://github.com/hsluv/hsluv-c/tags \
.*?(1\.0\.0)@ARCHIVE_EXT@ group
